Option Explicit
' Start Echoview
Dim EvApp: Set EvApp = CreateObject("EchoviewCom.EvApplication")

' Open the Schools Detection EV file
Dim EvFile: Set EvFile = EvApp.OpenFile ("C:\Echoview Software\Tutorials\IntroToCOMScripting\SchoolsDetection\COM_SchoolsDetection.EV")

If EvFile Is Nothing Then
    MsgBox "Failed to open EV file"
Else
   ' Change the schools detection settings from the default 40m minimum
   ' school length to 10m. Use the Echoview Help file to find the
   ' correct syntax. Note: If using this script for your own data, in
   ' addition to the schools detections settings, you may need to use
   ' scripting commands to apply Thresholds on the Data Page, and
   ' exclusions on the Analysis Page of the Variable Properties dialog
   ' box. Warning: Using a message box to confirm the change to the
   ' school length will pause your script until you click OK.

   EvApp.Exec("SchoolsMinimumTotalLength =| 10")
   MsgBox "Minimum school length changed to 10m"

   'Dimension the variable called Sv Pings
   Dim Var: Set Var = EvFile.Variables.FindByName("Sv pings")

	If Var Is Nothing Then
       MsgBox "Failed to find variable"
	Else
       Dim VarAc: Set VarAc = Var.AsVariableAcoustic
		If VarAc Is Nothing Then
           MsgBox "Variable is not acoustic"
       Else
         ' Perform the schools detection. Note: DetectSchools is a
         ' method of the COM object EvVariableAcoustic. It returns
         ' the number of schools, or -1 if it fails.
        MsgBox VarAc.DetectSchools ("Detectedschools", 1, 750) & " detected schools."& vbNewline & "-1 means the School detection failed."& vbNewline & "Observe the school regions. Then press Enter"
		End If
	End If
End If
MsgBox "Press Enter to end this example script, and close Echoview without saving."
